Edit roles

This method allows editing user roles.

Limitations
Method is available for administrator users only.

status_rights example

"status_rights": [
                {
                    "entity_type": "leads",
                    "pipeline_id": XXXXXX,
                    "status_id": XXXXXXX,
                    "rights": {
                        "edit": "A",
                        "view": "A",
                        "delete": "A",
                        "export": "A"
                    }
                }
            ]

Request parameters

If the rights[status_rights] parameter has a value “null” or [] then current lead stages rights for this role will be deleted.
In that case, Incoming Leads stage rights will be set as “restricted”.

Path Params
string
required

Role ID

Body Params
RAW_BODY
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json